template.c File Reference

Main Page Alphabetical List Data Structures File List Data Fields Globals

# template.c File Reference

## Functions

void | wmf_template_function (wmfAPI *API)
void | wmf_template_device_open (wmfAPI *API)
void | wmf_template_device_close (wmfAPI *API)
void | wmf_template_device_begin (wmfAPI *API)
void | wmf_template_device_end (wmfAPI *API)
void | wmf_template_flood_interior (wmfAPI *API, wmfFlood_t *flood)
void | wmf_template_flood_exterior (wmfAPI *API, wmfFlood_t *flood)
void | wmf_template_draw_pixel (wmfAPI *API, wmfDrawPixel_t *drawpixel)
void | wmf_template_draw_pie (wmfAPI *API, wmfDrawArc_t *drawarc)
void | wmf_template_draw_chord (wmfAPI *API, wmfDrawArc_t *drawarc)
void | wmf_template_draw_arc (wmfAPI *API, wmfDrawArc_t *drawarc)
void | wmf_template_draw_ellipse (wmfAPI *API, wmfDrawArc_t *drawarc)
void | wmf_template_draw_line (wmfAPI *API, wmfDrawLine_t *drawline)
void | wmf_template_poly_line (wmfAPI *API, wmfPolyLine_t *polyline)
void | wmf_template_draw_polygon (wmfAPI *API, wmfPolyLine_t *polyline)
void | wmf_template_draw_rectangle (wmfAPI *API, wmfDrawRectangle_t *drawrectangle)
void | wmf_template_rop_draw (wmfAPI *API, wmfROP_Draw_t *ropdraw)
void | wmf_template_bmp_draw (wmfAPI *API, wmfBMP_Draw_t *bmpdraw)
void | wmf_template_bmp_read (wmfAPI *API, wmfBMP_Read_t *bmpread)
void | wmf_template_bmp_free (wmfAPI *API, wmfBMP *bmp)
void | wmf_template_draw_text (wmfAPI *API, wmfDrawText_t *drawtext)
void | wmf_template_udata_init (wmfAPI *API, wmfUserData_t *userdata)
void | wmf_template_udata_copy (wmfAPI *API, wmfUserData_t *userdata)
void | wmf_template_udata_set (wmfAPI *API, wmfUserData_t *userdata)
void | wmf_template_udata_free (wmfAPI *API, wmfUserData_t *userdata)
void | wmf_template_region_frame (wmfAPI *API, wmfPolyRectangle_t *polyrectangle)
void | wmf_template_region_paint (wmfAPI *API, wmfPolyRectangle_t *polyrectangle)
void | wmf_template_region_clip (wmfAPI *API, wmfPolyRectangle_t *polyrectangle)

## Function Documentation

void wmf_template_bmp_draw | ( | wmfAPI * | API,
|  | wmfBMP_Draw_t * | bmpdraw
| ) |

void wmf_template_bmp_free | ( | wmfAPI * | API,
|  | wmfBMP * | bmp
| ) |

void wmf_template_bmp_read | ( | wmfAPI * | API,
|  | wmfBMP_Read_t * | bmpread
| ) |

void wmf_template_device_begin | ( | wmfAPI * | API | ) |

void wmf_template_device_close | ( | wmfAPI * | API | ) |

void wmf_template_device_end | ( | wmfAPI * | API | ) |

void wmf_template_device_open | ( | wmfAPI * | API | ) |

void wmf_template_draw_arc | ( | wmfAPI * | API,
|  | wmfDrawArc_t * | drawarc
| ) |

void wmf_template_draw_chord | ( | wmfAPI * | API,
|  | wmfDrawArc_t * | drawarc
| ) |

void wmf_template_draw_ellipse | ( | wmfAPI * | API,
|  | wmfDrawArc_t * | drawarc
| ) |

void wmf_template_draw_line | ( | wmfAPI * | API,
|  | wmfDrawLine_t * | drawline
| ) |

void wmf_template_draw_pie | ( | wmfAPI * | API,
|  | wmfDrawArc_t * | drawarc
| ) |

void wmf_template_draw_pixel | ( | wmfAPI * | API,
|  | wmfDrawPixel_t * | drawpixel
| ) |

void wmf_template_draw_polygon | ( | wmfAPI * | API,
|  | wmfPolyLine_t * | polyline
| ) |

void wmf_template_draw_rectangle | ( | wmfAPI * | API,
|  | wmfDrawRectangle_t * | drawrectangle
| ) |

void wmf_template_draw_text | ( | wmfAPI * | API,
|  | wmfDrawText_t * | drawtext
| ) |

void wmf_template_flood_exterior | ( | wmfAPI * | API,
|  | wmfFlood_t * | flood
| ) |

void wmf_template_flood_interior | ( | wmfAPI * | API,
|  | wmfFlood_t * | flood
| ) |

void wmf_template_function | ( | wmfAPI * | API | ) |

void wmf_template_poly_line | ( | wmfAPI * | API,
|  | wmfPolyLine_t * | polyline
| ) |

void wmf_template_region_clip | ( | wmfAPI * | API,
|  | wmfPolyRectangle_t * | polyrectangle
| ) |

void wmf_template_region_frame | ( | wmfAPI * | API,
|  | wmfPolyRectangle_t * | polyrectangle
| ) |

void wmf_template_region_paint | ( | wmfAPI * | API,
|  | wmfPolyRectangle_t * | polyrectangle
| ) |

void wmf_template_rop_draw | ( | wmfAPI * | API,
|  | wmfROP_Draw_t * | ropdraw
| ) |

void wmf_template_udata_copy | ( | wmfAPI * | API,
|  | wmfUserData_t * | userdata
| ) |

void wmf_template_udata_free | ( | wmfAPI * | API,
|  | wmfUserData_t * | userdata
| ) |

void wmf_template_udata_init | ( | wmfAPI * | API,
|  | wmfUserData_t * | userdata
| ) |

void wmf_template_udata_set | ( | wmfAPI * | API,
|  | wmfUserData_t * | userdata
| ) |